Bug 808044 - Volume status detail fails to display the fs type of the brick.
Volume status detail fails to display the fs type of the brick.
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kaushal
Depends On:
Blocks: 817967
  Show dependency treegraph
Reported: 2012-03-29 08:28 EDT by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:11:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-03-29 08:28:25 EDT
Description of problem:
If the device is mounted after the boot, it won't show the details if thew bricks 
like FS type , device, mount option ,Inode-size.

Status of volume: vol2
Brick                :
Port                 : 24009               
Online               : Y                   
Pid                  : 19122               
File System          : N/A                 
Device               : N/A                 
Mount Options        : N/A                 
Inode Size           : N/A                 
Disk Space Free      : 97.6GB              
Total Disk Space     : 97.6GB              
Inode Count          : N/A                 
Free Inodes          : N/A                 

Volume Name: vol2
Type: Distribute
Volume ID: f92bf651-a5f5-4785-8363-6b9f400f9305
Status: Started
Number of Bricks: 1
Transport-type: tcp

Filesystem            Size  Used Avail Use% Mounted on
/dev/vda3              16G  2.2G   13G  15% /
tmpfs                1004M     0 1004M   0% /dev/shm
/dev/vda1             194M   49M  136M  27% /boot
/dev/vdb1              98G   33M   98G   1% /exportdir

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a volume with bricks which is mounted after the boot.
2.Then try volume status detail.
Comment 1 Anand Avati 2012-03-29 10:57:43 EDT
CHANGE: http://review.gluster.com/3037 (cli, glusterd : "volume status detail" fixes) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.